﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MON_ACCOUNTBALANCE', 'T_MON_ACCOUNTBALANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_AB_FBANKACCOUNTID') CREATE INDEX IDX_MON_AB_FBANKACCOUNTID ON T_MON_ACCOUNTBALANCE ( FBANKACCOUNTID ,FBOOKDATE );


 EXEC P_ALTERPK 'PK_T_MON_BANKJOURNAL', 'T_MON_BANKJOURNAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_BJ_CLU') CREATE INDEX IDX_MON_BJ_CLU ON T_MON_BANKJOURNAL ( FBIZDATE ,FBANKCHECKFLAG ,FSETTLEMENTNUMBER ,FCREDITAMOUNT ,FDEBITAMOUNT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_BJ_BIZDATE') CREATE INDEX IDX_MON_BJ_BIZDATE ON T_MON_BANKJOURNAL ( FORGID ,FBANKACCTID ,FCURRENCYID ,FBIZDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_BJ_SOURCEID') CREATE INDEX IDX_MON_BJ_SOURCEID ON T_MON_BANKJOURNAL ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_T_MON_BANKJOURNAL_B', 'T_MON_BANKJOURNAL_B', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_BJ_ISCONDITION') CREATE INDEX IDX_MON_BJ_ISCONDITION ON T_MON_BANKJOURNAL_B ( FISLARGEAMOUNT ,FISSENSITIVE ,FISATTENTION ,FISDOUBT );


 EXEC P_ALTERPK 'PK_T_MON_BANKJOURNALENTRY', 'T_MON_BANKJOURNALENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_BJE_FPID') CREATE INDEX IDX_MON_BJE_FPID ON T_MON_BANKJOURNALENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MON_TRANSPLAN_ENTRY', 'T_MON_TRANSPLAN_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_TRANSPLAN_ENTRY') CREATE INDEX IDX_MON_TRANSPLAN_ENTRY ON T_MON_TRANSPLAN_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MON_TRANSPLAN', 'T_MON_TRANSPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_TRANSPLAN_FNUMBER') CREATE UNIQUE INDEX IDX_MON_TRANSPLAN_FNUMBER ON T_MON_TRANSPLAN ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_MON_TRANSPLAN_L', 'T_MON_TRANSPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_TRANSPLAN_L_LOCAL') CREATE INDEX IDX_MON_TRANSPLAN_L_LOCAL ON T_MON_TRANSPLAN_L ( FLOCALEID ,FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_constraint.sql **/
