﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_ACCOUNTBALANCE') 
 CREATE TABLE T_MON_ACCOUNTBALANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCTGROUPID BIGINT DEFAULT 0 NOT NULL,
FBANKACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDAYTRADENUM INT DEFAULT 0 NOT NULL,
FDAYTRADEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAYBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOOKDATE DATETIME,
FISSUBACCOUNT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_BANKJOURNAL') 
 CREATE TABLE T_MON_BANKJOURNAL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACCTGROUPID BIGINT DEFAULT 0 NOT NULL,
FISUPDATEBALANCE CHAR(1) DEFAULT '0' NOT NULL,
FBANKJOURNALID BIGINT DEFAULT 0 NOT NULL,
FBANKJOUNALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERTYPEID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBANKACCTID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FBOOKDATE DATETIME,
FBIZDATE DATETIME,
FDESCRIPTION NVARCHAR(255),
FCREATETIME DATETIME,
FSOURCEBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSETTLEMENTNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRELATEDBIZDATE DATETIME,
FTICKETNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLINENO INT DEFAULT 0 NOT NULL,
FOPPUNIT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOPPACCTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOPPBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBATCHNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXCHANGERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSETTLEINFO NVARCHAR(255),
FBILLINFO NVARCHAR(255),
FAUDITDATE DATETIME,
FISCHECK CHAR(1) DEFAULT ' ' NOT NULL,
FBANKCHECKFLAG NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSYNCCHECK CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_BANKJOURNAL_B') 
 CREATE TABLE T_MON_BANKJOURNAL_B (
FID BIGINT DEFAULT 0 NOT NULL,
FISLARGEAMOUNT CHAR(1) DEFAULT '0' NOT NULL,
FISSENSITIVE CHAR(1) DEFAULT '0' NOT NULL,
FISATTENTION CHAR(1) DEFAULT '0' NOT NULL,
FISDOUBT CHAR(1) DEFAULT '0' NOT NULL,
FRECPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRECPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECPAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRECPAYER BIGINT DEFAULT 0 NOT NULL,
FISINTERNAL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_BANKJOURNALENTRY') 
 CREATE TABLE T_MON_BANKJOURNALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFUNDFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FOPPUNIT NVARCHAR(255),
FLOCALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_TRANSPLAN_ENTRY') 
 CREATE TABLE T_MON_TRANSPLAN_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_TRANSPLAN') 
 CREATE TABLE T_MON_TRANSPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY INT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNTCONDITON NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FAMOUNTCONDITON_REAL NCLOB,
FAMOUNTCONDITON_REAL_TAG NCLOB,
FSENSITIVECONDITION NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FSENSITIVECONDITION_REAL NCLOB,
FSENSITIVECONDITION_REAL_TAG NCLOB,
FFOCUSCONDITON NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FFOCUSCONDITON_REAL NCLOB,
FFOCUSCONDITON_REAL_TAG NCLOB,
FQUESTIONCONDITON INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_TRANSPLAN_L') 
 CREATE TABLE T_MON_TRANSPLAN_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MON_table.sql **/
